## dgit 10.7+deb12u3

=== .git/dgit/unpack/pari-extra-3/debian/changelog ===
pari-extra (3-2~dummy1) unstable; urgency=low

  * Dummy change for dgit testing.  Add nonexistend build-dependency to
    break builds in case this package escapes somehow.

 -- Senatus Romanus <spqr@example.com>  Sun, 17 Nov 2013 14:34:17 +0000

pari-extra (3-1) unstable; urgency=low

  * This package is now a dummy packages, replaced by pari-galdata and
    pari-elldata.
  * debian/control:
    - Depends on pari-galdata, pari-elldata and pari-seadata.
    - Suggests: galpol
  * Bump standard version to 3.9.2
  * Move to debhelper v5 (May JoeyH dream of swirls).

 -- Bill Allombert <ballombe@debian.org>  Fri, 05 Aug 2011 14:07:02 +0200

pari-extra (2.1-1) unstable; urgency=low

  * New upstream bugfix release
    - elldata was missing some curves.
  * debian/watch: removed (cannot work).

 -- Bill Allombert <ballombe@debian.org>  Wed,  4 Oct 2006 17:36:44 +0200

pari-extra (2-1) unstable; urgency=low

  * New upstream release
    - this release is not compatible with PARI/GP 2.1.
    - this release include galdata and elldata.
  * Bump standard version to 3.7.2.
  * Update description.
  * Move to debhelper v4 (May JoeyH dream of swirls).

 -- Bill Allombert <ballombe@debian.org>  Sat,  3 Jun 2006 16:48:44 +0200

pari-extra (1-4) unstable; urgency=low

  * Bump standard version to 3.6.1.
  * update FTP site in debian/watch and debian/copyright.
  * description: Rename Université to University to avoid trouble with
    non latin-1 charsets. Thanks Denis Barbier. Closes: #245594.

 -- Bill Allombert <ballombe@debian.org>  Tue, 27 Apr 2004 19:04:04 +0200

pari-extra (1-3) unstable; urgency=low

  * Bump standard version to 3.5.9.
  * Rebuild with new debhelper to remove the /usr/share/doc transition code.
  * Clean up debian/rules.

 -- Bill Allombert <ballombe@debian.org>  Sun,  6 Apr 2003 17:10:00 +0200

pari-extra (1-2) unstable; urgency=low

  * Improved description.

 -- Bill Allombert <ballombe@debian.org>  Wed, 17 Oct 2001 19:35:11 +0200

pari-extra (1-1) unstable; urgency=low

  * Initial Release. Closes: BUG#99173

 -- Bill Allombert <ballombe@debian.org>  Fri,  9 Mar 2001 14:49:27 +0100

Local variables:
mode: debian-changelog
End:

=== debian/changelog ===
dgit (10.7+deb12u3) bookworm; urgency=medium

  * git-debpush: Add source= & version= (Closes: #1069001).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 03 Mar 2025 14:46:58 +0800

=== debian/tests/control ===
Tests: baredebian-multitar baredebian-plusgit baredebian-push baredebian-tarball
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, quilt, git-debrebase, git-buildpackage, libdpkg-perl, libgit-wrapper-perl, liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl

Tests: build-modes-gbp
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, git-buildpackage

Tests: clone-reprepro downstream-gitless
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, reprepro

Tests: dpkgsourceignores-docs
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl
Restrictions: x-dgit-intree-only

Tests: defdistro-dsd-clone-drs dsd-clone-drs
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl
Restrictions: x-dgit-intree-only x-dgit-git-only

Tests: alternating-dgit clone-gitnosuite clone-nogit clone-skew drs-clone-nogit dsd-clone-nogit ftpmasterapi-http
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, libhttp-server-simple-static-perl

Tests: gdr-import-dgit
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, git-debrebase, git-buildpackage, libhttp-server-simple-static-perl

Tests: gdr-merge-conflicts
Tests-Directory: tests/tests
Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage, quilt

Tests: gdr-diverge-nmu gdr-diverge-nmu-dgit gdr-edits gdr-fresh gdr-import-dgitview gdr-import-nostitch gdr-makepatches7 gdr-merge gdr-subcommands gdr-unprocessable gdr-unprocessable-hints
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, git-debrebase, git-buildpackage

Tests: gitattributes
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, bsdgames, man-db, git-man

Tests: hint-testsuite-triggers
Tests-Directory: tests/tests
Depends: gnupg, patch, diffutils
Restrictions: hint-testsuite-triggers

Tests: gdr-newupstream gdr-viagit i18n-messages
Tests-Directory: tests/tests
Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage

Tests: import-linkorigs
Tests-Directory: tests/tests

## dgit 11.1

=== debian/changelog ===
dgit (11.1) unstable; urgency=medium

  * dgit(1): Adjust tbl formatting to avoid warning.
    [Report and suggestions from Branden Robinson]  Closes: #1041317.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 20 Jul 2023 00:32:36 +0100

dgit (11.0) unstable; urgency=medium

  Bugfix with compatibility implications:
  * Pass --no-source-only-changes to sbuild (when building binaries).
    Fixes operation with SOURCE_ONLY_CHANGES locally overridden.
    (Incompatible with sbuild <0.78; to work around, say
    dgit --sbuild!:--no-source-only-changes.).
    [Report from Sean Whitton]  Closes: #904969.

  Documentation:
  * dgit-maint-{merge,rebase}(7): Cross-reference to gitrevisions(7).
    [Sean Whitton, Ian Jackson]  Closes: #959760.

  Removal:
  * Abolish dgit-badcommit-fixup (the remedial script for #849041).
    If ancient repositories are found which need fixing, install
    dgit.deb 10.7 or earlier (eg from Debian bookworm and earlier).

  Testing;
  * Tests: work around git changes in 2.40 relating to commit verification.
    Skipping tests involving now-uncreatable objects.  Closes: #1033503.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 15 Jun 2023 00:53:22 +0100

## dgit 11.2

=== debian/changelog ===
dgit (11.2) unstable; urgency=high

  * Use the old /updates security map only for buster.  Fixes fetching from
    suites ,-security after buster.  [Matthew Vernon]  Closes: #1050179.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 22 Aug 2023 19:25:55 +0100

## dgit 11.3

=== Makefile ===
# dgit
# Integration between git and Debian-style archives
#
# Copyright (C)2013-2018 Ian Jackson
# Copyright (C)2019      Sean Whitton
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

INSTALL=install
INSTALL_DIR=$(INSTALL) -d
INSTALL_PROGRAM=$(INSTALL) -m 755
INSTALL_DATA=$(INSTALL) -m 644

prefix?=/usr/local

bindir=$(prefix)/bin
mandir=$(prefix)/share/man
perldir=$(prefix)/share/perl5
man1dir=$(mandir)/man1
man5dir=$(mandir)/man5
man7dir=$(mandir)/man7
infraexamplesdir=$(prefix)/share/doc/dgit-infrastructure/examples
txtdocdir=$(prefix)/share/doc/dgit
absurddir=$(prefix)/share/dgit/absurd

PROGRAMS=dgit git-playtree-setup
MAN1PAGES=dgit.1

MAN7PAGES=dgit.7				\
	dgit-user.7 dgit-nmu-simple.7		\
	dgit-maint-native.7			\
	dgit-maint-merge.7 dgit-maint-gbp.7	\
	dgit-maint-debrebase.7                  \
	dgit-downstream-dsc.7			\
	dgit-sponsorship.7			\
	dgit-maint-bpo.7

TXTDOCS=README.dsc-import
PERLMODULES= \
	Debian/Dgit.pm \
	Debian/Dgit/ExitStatus.pm \
	Debian/Dgit/I18n.pm
ABSURDITIES=git

GDR_PROGRAMS=git-debrebase
GDR_PERLMODULES= \
	Debian/Dgit.pm \
	Debian/Dgit/GDR.pm \
	Debian/Dgit/ExitStatus.pm \
	Debian/Dgit/I18n.pm
GDR_MAN1PAGES=git-debrebase.1
GDR_MAN5PAGES=git-debrebase.5

GDP_PROGRAMS=git-debpush
GDP_MAN1PAGES=git-debpush.1

INFRA_PROGRAMS=dgit-repos-server dgit-ssh-dispatch dgit-mirror-ssh-wrap \
	dgit-repos-policy-debian dgit-repos-admin-debian \
	dgit-repos-policy-trusting dgit-mirror-rsync
INFRA_EXAMPLES=get-dm-txt ssh-wrap drs-cron-wrap get-suites
INFRA_PERLMODULES= \
	Debian/Dgit.pm \
	Debian/Dgit/Infra.pm \
	Debian/Dgit/Policy/Debian.pm

MANPAGES=$(MAN1PAGES) $(MAN5PAGES) $(MAN7PAGES) \
	$(GDR_MAN1PAGES) $(GDR_MAN5PAGES) \
	$(GDP_MAN1PAGES)

all:	$(MANPAGES) $(addprefix substituted/,$(PROGRAMS))

substituted/%:	%
	mkdir -p substituted
	perl -pe 's{\bundef\b}{'\''$(absurddir)'\''} if m/###substituted###/' \
		<$< >$@

install:	installdirs all
	$(INSTALL_PROGRAM) $(addprefix substituted/,$(PROGRAMS)) \
		$(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) $(addprefix absurd/,$(ABSURDITIES)) \
		$(DESTDIR)$(absurddir)
	$(INSTALL_DATA) $(MAN1PAGES) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) $(MAN7PAGES) $(DESTDIR)$(man7dir)
	$(INSTALL_DATA) $(TXTDOCS) $(DESTDIR)$(txtdocdir)
	set -e; for m in $(PERLMODULES); do \
		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
	done

installdirs:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(man1dir) $(DESTDIR)$(man5dir) \
		$(DESTDIR)$(man7dir) \
		$(DESTDIR)$(txtdocdir) $(DESTDIR)$(absurddir) \
		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(PERLMODULES)))

install-gdp:    installdirs-gdp
	$(INSTALL_PROGRAM) $(GDP_PROGRAMS) $(DESTDIR)$(bindir)
	$(INSTALL_DATA) $(GDP_MAN1PAGES) $(DESTDIR)$(man1dir)

install-gdr:	installdirs-gdr
	$(INSTALL_PROGRAM) $(GDR_PROGRAMS) $(DESTDIR)$(bindir)
	$(INSTALL_DATA) $(GDR_MAN1PAGES) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) $(GDR_MAN5PAGES) $(DESTDIR)$(man5dir)
	set -e; for m in $(GDR_PERLMODULES); do \
		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
	done

install-infra:	installdirs-infra
	$(INSTALL_PROGRAM) $(addprefix infra/, $(INFRA_PROGRAMS)) \
		$(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) $(addprefix infra/, $(INFRA_EXAMPLES)) \
		$(DESTDIR)$(infraexamplesdir)
	set -e; for m in $(INFRA_PERLMODULES); do \
		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
	done

installdirs-gdp:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) $(DESTDIR)$(man1dir)

installdirs-gdr:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(man1dir) $(DESTDIR)$(man5dir) \
		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(GDR_PERLMODULES)))

installdirs-infra:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) $(DESTDIR)$(infraexamplesdir) \
		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(INFRA_PERLMODULES)))

list-manpages:
	@echo $(MANPAGES)

i18n i18n-update:
	$(MAKE) -C po update
	$(MAKE) -C po4a update

i18n-commit:
	set -e; x=$$(git status --porcelain); set -x; test "x$$x" = x
	$(MAKE) i18n-update
	git commit -a -m 'i18n-commit - autogenerated'

check installcheck:

clean distclean mostlyclean maintainer-clean:
	rm -rf tests/tmp substituted
	set -e; for m in $(MANPAGES); do \
		test -e $$m.pod && rm -f $$m; \
	done

dgit%: dgit%.pod
	m=$@; pod2man --section=$${m##*.} --date="Debian Project" \
		--center="dgit" --name=$${m%.*} \
		$^ $@

git-debrebase.%: git-debrebase.%.pod
	pod2man --section=$* --date="Debian Project" --center="git-debrebase" \
		--name=$(subst .$*,,$@) \
		$^ $@

git-debpush.1: git-debpush.1.pod
	pod2man --section=1 --date="Debian Project" --center="git-debpush" \
		--name git-debpush \
		$^ $@

%.view:	%
	man -l $*

=== debian/changelog ===
dgit (11.3) unstable; urgency=medium

  * Prevent pushing older versions than is in the archive.
    Closes: #1050711.  [Reports from Helmut Grohne and Phil Hands]
  * Detect tar-ignore in d/s/options and bail early if appropriate.
    Closes: #1050709.  [Report from Helmut Grohne]
  * dgit(1): --overwrite: Add cross reference to --split-view.
    Apropos ##1050713.  [Report from Helmut Grohne]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 03 Sep 2023 00:43:36 +0100

## dgit 11.8

=== Makefile ===
--- 
+++ 
@@ -64,6 +64,7 @@
 
 GDP_PROGRAMS=git-debpush
 GDP_MAN1PAGES=git-debpush.1
+GDP_MAN5PAGES=tag2upload.5
 
 INFRA_PROGRAMS=dgit-repos-server dgit-ssh-dispatch dgit-mirror-ssh-wrap \
 	dgit-repos-policy-debian dgit-repos-admin-debian \
@@ -76,7 +77,7 @@
 
 MANPAGES=$(MAN1PAGES) $(MAN5PAGES) $(MAN7PAGES) \
 	$(GDR_MAN1PAGES) $(GDR_MAN5PAGES) \
-	$(GDP_MAN1PAGES)
+	$(GDP_MAN1PAGES) $(GDP_MAN5PAGES)
 
 all:	$(MANPAGES) $(addprefix substituted/,$(PROGRAMS))
 
@@ -107,6 +108,7 @@
 install-gdp:    installdirs-gdp
 	$(INSTALL_PROGRAM) $(GDP_PROGRAMS) $(DESTDIR)$(bindir)
 	$(INSTALL_DATA) $(GDP_MAN1PAGES) $(DESTDIR)$(man1dir)
+	$(INSTALL_DATA) $(GDP_MAN5PAGES) $(DESTDIR)$(man5dir)
 
 install-gdr:	installdirs-gdr
 	$(INSTALL_PROGRAM) $(GDR_PROGRAMS) $(DESTDIR)$(bindir)
@@ -126,7 +128,8 @@
 	done
 
 installdirs-gdp:
-	$(INSTALL_DIR) $(DESTDIR)$(bindir) $(DESTDIR)$(man1dir)
+	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
+		$(DESTDIR)$(man1dir) $(DESTDIR)$(man5dir)
 
 installdirs-gdr:
 	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
@@ -172,5 +175,10 @@
 		--name git-debpush \
 		$^ $@
 
+tag2upload.5: tag2upload.5.pod
+	pod2man --section=5 --date="Debian Project" --center="tag2upload" \
+		--name tag2upload \
+		$^ $@
+
 %.view:	%
 	man -l $*

=== po/Makefile ===
# dgit message translation machinery
#
# Translators: there is no need to look at this file.  It contains
# complicated machinery which you do not need to understand :-).
# See po/README instead.

# Copyright (C)2018 Ian Jackson
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# ----- metaprogramming (translators, pleaee ignore all this) -----
#
# We present translators with a single file po/messages.pot containing
# all the messages for the translated programs in dgit.deb and
# git-debrebase.deb.  This also includes the messages from the shared
# perl modules.
#
# But when we make the .debs, we want to ship in each .deb the
# messages for that .deb, only (but including the common parts).
#
# So we generate three intermediate .pots,
#   .{dgit,git-debrebase,common}.pot
# and merge them to make messages.pot.
#
# From the translations we generate two .mo files for each output
# language: {dgit,git-debrebase}.mo -- including the common messages.
#
# To avoid dirtying the tree whenever we do `make install',
# we honour SUPPRESS_PO_UPDATE, to be used like this
#   make install prefix=$(prefix) SUPPRESS_PO_UPDATE=1

all: messages.pot mofiles

include ../i18n-common.make

.%.potfiles:
	$S $e; echo ../$*; $f

.common.potfiles:
	$S $e; find ../Debian -name \*.pm; $f

.%.make: .%.potfiles Makefile part.make
	$S $e; \
	 sed 's/~/$*/g' part.make; \
	 sed "s#^#.$*.pot: #" $<; \
	$f

-include .dgit.make
-include .git-debrebase.make
-include .common.make

POFILES := $(wildcard *.po)
LANGS := $(basename $(POFILES))

MOFILES = $(foreach part,$(filter-out common,$(PARTS)), \
	$(addprefix mo/$(part)_, $(POFILES:.po=.mo)))

messages.pot: $(if $(SUPPRESS_PO_UPDATE),,$(POTS))
	$S msgcat --to-code=UTF-8 $^		>.messages.0.tmp
	$S ( ./remove-potcdate <$@ ||: )	>.messages.1.tmp
	$S ./remove-potcdate <.messages.0.tmp	>.messages.2.tmp
	$S cmp -s .messages.[12].tmp || mv -v .messages.0.tmp $@
	@echo 'Updated $@.'

%.mo: %.po
	$S msgfmt -o $@ $<

XGETTEXT_OPTS += -Lperl -k__ -kf_ -ki_
XGETTEXT_OPTS += --from-code=UTF-8
XGETTEXT_OPTS += --package-name=dgit --package-version=ongoing
# The --package-* avoids this error from make check's `msgfmt -c'
#  warning: header field 'Project-Id-Version' still has the initial default value

%.pot:
	$S TZ=UTC xgettext $(XGETTEXT_OPTS) $^ -o $@.tmp && $f

mofiles: $(MOFILES)
	@echo 'Generated mo/*.mo (binary translated messages) OK.'

install: all
	set -e; for file in $(MOFILES); do \
		lang=$${file#*_}; lang=$${lang%.mo}; \
		part=$${file#mo/}; part=$${part%%_*}; \
		d=$(DESTDIR)$(prefix)/share/locale/$$lang/LC_MESSAGES; \
		install -d $$d; \
		install -m 0644 $$file $$d/$$part.mo; \
	done

clean:
	rm -f .*.make .*.potfiles .*.pot .*.tmp
	rm -rf mo

%.po: $(if $(SUPPRESS_PO_UPDATE),,messages.pot)
	@echo -n "Merging messages.pot and $@ "
	$S if test -f $@; then \
		msgmerge --previous $@ messages.pot -o $@.new; \
	else \
		msgcat --lang=$* messages.pot >$@.new; \
	fi
	$S mv -f $@.new $@
	$S msgfmt -o /dev/null --statistics $@

.PRECIOUS: .%.potfiles

pofiles: $(POFILES)

update: pofiles check

check: $(if $(SUPPRESS_PO_UPDATE),,pofiles)
	$S set -e; for file in $(POFILES); do \
		lang=`echo $$file | sed 's/\.po//'`; \
		printf "$$lang: "; \
		msgfmt -o /dev/null -c -v --statistics $$lang.po;\
	done

=== debian/changelog ===
dgit (11.8) unstable; urgency=medium

  * Fix installation of tag2upload(5).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 14 Apr 2024 20:34:49 +0800

dgit (11.7) unstable; urgency=medium

  [ Ian Jackson ]
  * dgit: Introduce --trust-changelog, as the new name for --overwrite,
    and recommend it everywhere.  As requested in #1050713;
    may help with #913451 #990667 (requests for better docs).
  * dgit: New --collab-non-dgit option.  Closes: #1050713.
    [Apropos informal reports from several people]
  * dgit diff generation: Avoid breaking if user has ui.color=always.
    Closes: #1067222.  [Report from Rafael Laboissière]
  * tag2upload(5): New manpage documenting the tag2upload protocol.
    Closes: #1068231.

  [ Sean Whitton ]
  * Add myself to Uploaders.
  
 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 13 Apr 2024 21:14:43 +0800

dgit (11.6) unstable; urgency=medium

  Improved behaviour:
  * dgit: Delete the playground on success, by default.
    [Report from gregor herrmann]  Closes: #1056103.

  Documentation:
  * dgit(7): Don't falsely assert that *.dgit.d.o is usually `origin`.
  * dgit-user(7): Deprioritise information about jessie.

  Tests:
  * autopkgtests: Install locales-all for i18n-messages test.
  * Stunt httpd: don't respond to HEAD with 404+body.  Closes: #1063341.
  * autopkgtests: Reduce primary log size when running under autopkgtest:
    Save the stderr/stdout to a file which appears (compressed) in
    the artifacts, and is only printed if the test fails.
  * Add comment about benchmarking of the gzip -1 flag on artifacts.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 09 Feb 2024 12:05:39 +0000

dgit (11.5) unstable; urgency=medium

  * dgit: Fix harmless but annoying warning about rebinding $date.
    [Report from Étienne Mollier]  Closes: #1055528.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 10 Nov 2023 13:12:42 +0000

dgit (11.4) unstable; urgency=medium

  dgit dsc import fixes:
  * Do not fail when source package has broken changelog for -1 upload.
    Closes: #1054630.  See also #1051961.  [Report from Peter Green]
  * Pass through the changelog timezone to the generated commit metadata.

  Documentation:
  * dgit-sponsorship(7): Mention git-deborig(1) alongside git-archive(1)
    [Sean Whitton].

  Test suite:
  * Fix i18n-messages test to explictly demand "locales", and set locale.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 30 Oct 2023 02:21:52 +0000

=== debian/control ===
Source: dgit
Section: devel
Priority: optional
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Standards-Version: 4.4.0.0
Build-Depends: debhelper (>= 9), gettext, po4a, tcl
Testsuite: autopkgtest
Vcs-Git: https://salsa.debian.org/dgit-team/dgit.git
Vcs-Browser: https://salsa.debian.org/dgit-team/dgit

Package: dgit
Depends: perl, libdpkg-perl, git-core, devscripts, dpkg-dev,
         ${misc:Depends}, git-buildpackage, liblist-moreutils-perl,
         liblocale-gettext-perl,
         coreutils (>= 8.23-1~),
         libdigest-sha-perl, dput, curl, apt,
         libjson-perl, ca-certificates,
         libtext-iconv-perl, libtext-glob-perl, libwww-curl-perl,
         libtext-csv-perl
Recommends: ssh-client, distro-info-data, liburi-perl
Suggests: sbuild | pbuilder | cowbuilder
Architecture: all
Description: git interoperability with the Debian archive
 dgit (with the associated infrastructure) makes it possible to
 treat the Debian archive as a git repository.
 .
 dgit push constructs uploads from git commits
 .
 dgit clone and dgit fetch construct git commits from uploads.

Package: git-debrebase
Depends: perl, git-core, libdpkg-perl, libfile-fnmatch-perl, devscripts,
         liblocale-gettext-perl,
         ${misc:Depends}
Recommends: dgit, git-buildpackage
Architecture: all
Description: rebasing git workflow tool for Debian packaging
 git-debrebase is a tool for representing in git, and manipulating,
 Debian packages based on upstream source code.
 .
 git-debrebase is an alternative to workflows including git-dpm,
 gbp pq, and direct use of quilt patches.

Package: git-debpush
Depends: devscripts, git, gnupg, libgit-wrapper-perl,
         ${misc:Depends}
Architecture: all
Description: client script for git pushing to Debian-style archives
 git-debpush is a script to create and push a specially formatted
 signed git tag.  The metadata in the tag indicates that the tagged
 commit should be pushed (or "uploaded") to a Debian-style archive.
 .
 Tags generated by this script can be read by an intermediary service,
 which performs any conversion that's needed (such as producing and
 signing a .dsc and .changes), and then uploads the result to the
 Debian-style archive on your behalf.

Package: dgit-infrastructure
Depends: ${misc:Depends}, perl, git-core, gpgv, chiark-utils-bin,
         libjson-perl, libdigest-sha-perl, libdbd-sqlite3-perl, sqlite3,
         libdpkg-perl,
         liblocale-gettext-perl
Recommends: dgit (>= 11.7~)
Architecture: all
Description: dgit server backend infrastructure
 This package contains tools which are useful for setting up a dgit
 git repository server.  You probably want dgit, the client package,
 instead of dgit-infrastructure.

=== debian/rules ===
#!/usr/bin/make -f

# dgit
# Integration between git and Debian-style archives
#
# Copyright (C)2013-2019 Ian Jackson
# Copyright (C)2019      Sean Whitton
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

export prefix=/usr

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol
	set -e; \
	 cd debian/dgit; \
	 v=$$(perl -ne 'print if s/^version:\s+//i' DEBIAN/control); \
	 perl -i -pe "s/UNRELEASED/$$v/g if m/###substituted###/" usr/bin/dgit

override_dh_auto_clean:
	dh_auto_clean
	make -C po clean

globalperl=/usr/share/perl5

override_dh_auto_install: specpkg_install_gdp \
 specpkg_install_gdr \
 specpkg_install_infra
	make install prefix=/usr DESTDIR=debian/dgit
	make -C po install prefix=/usr DESTDIR=../debian/tmp \
		SUPPRESS_PO_UPDATE=1 S=''
	mv debian/dgit/usr/bin/git-playtree-setup debian/dgit/usr/share/dgit
	make -C po4a install DESTDIR=../debian/tmp S=''

override_dh_missing:
	dh_missing --fail-missing

specpkg_install_gdp: p=git-debpush

specpkg_install_gdr: p=git-debrebase
specpkg_install_gdr: pm=GDR

specpkg_install_infra: p=dgit-infrastructure
specpkg_install_infra: pm=Infra

define specpkg_install_common
	make install-$(tok) prefix=/usr DESTDIR=debian/$(p) perldir=$(specperl)
endef

specpkg_install_gdp: tok=gdp
specpkg_install_gdp: specperl=/usr/share/dgit/gdp/perl5
specpkg_install_gdp:
	$(specpkg_install_common)
	set -x; perl -i -pe 'next unless m/###substituted###/;' \
 -e 's{^(git_playtree_setup)=.*}{$$1=/usr/share/$p/git-playtree-setup};' \
		debian/$(p)/usr/bin/*

specpkg_install_%: tok=$*
specpkg_install_%: specperl=/usr/share/dgit/$(tok)/perl5
specpkg_install_%:
	$(specpkg_install_common)
#	# Most of the Perl modules in this package live in
#	# $(specperl).  The exception is Debian::Dgit::Infra, which
#	# lives in $(globalperl) and adds $(specperl) to @INC.
#	# We also abuse this for git-playtree-setup.  In .debs, this
#	# goes in the per-.deb @INC dir.  See Dgit.pm::playtree_setup.
	set -ex; \
	 base=debian/$(p); \
	 mod=Debian/Dgit/$(pm).pm; \
	 src=$${base}$(specperl)/$${mod}; \
	 dst=$${base}$(globalperl)/$${mod}; \
	 mkdir -p $${dst%/*}; \
	 mv -f $$src $$dst; \
	 install -m 755 git-playtree-setup $${base}$(specperl); \
	 perl -i -p -e 'next unless m/###substituted###/;' \
		-e 'next unless s/^# (?=unshift \@INC,)//;' \
		-e 'die unless s{q\{\S+\}}{q{$(specperl)}};' \
		 $$dst

debian/tests/control: tests/enumerate-tests debian/tests/control.in
	$< gencontrol >$@.new && mv -f $@.new $@

debian/tests/control: tests/lib-core tests/lib-restricts
debian/tests/control: tests/tests $(wildcard tests/tests/*[^~#])

=== debian/tests/control ===
--- 
+++ 
@@ -36,6 +36,10 @@
 Tests-Directory: tests/tests
 Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, git-debrebase, git-buildpackage
 
+Tests: gdr-newupstream gdr-viagit
+Tests-Directory: tests/tests
+Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage
+
 Tests: gitattributes
 Tests-Directory: tests/tests
 Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, bsdgames, man-db, git-man
@@ -45,9 +49,5 @@
 Depends: gnupg, patch, diffutils
 Restrictions: hint-testsuite-triggers
 
-Tests: gdr-newupstream gdr-viagit i18n-messages
+Tests: i18n-messages
 Tests-Directory: tests/tests
-Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage
-
-Tests: import-linkorigs
-Tests-Directory: tests/tests

## dgit 11.10

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 INSTALL=install
 INSTALL_DIR=$(INSTALL) -d

=== po/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 # ----- metaprogramming (translators, pleaee ignore all this) -----
 #

=== debian/changelog ===
dgit (11.10) unstable; urgency=medium

  * Add TAG2UPLOAD-DESIGN.txt [Ian Jackson].
  * git-debpush: Revert changes to in-tag metadata from the last upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 22 May 2024 20:42:50 +0100

dgit (11.9) unstable; urgency=medium

  * tag2upload(5):
    - The COMMITID must be an abbreviated hash.
    - Explain why upstream-tag=TAG is required.
    - Add source= & version= to the in-tag metadata.
  * git-debpush:
    - Quote an argument to git-cat-file.
    - Add source= & version= to the in-tag metadata.
  * Replace http->https in GPL file headers.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 21 May 2024 14:08:20 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 export prefix=/usr

## dgit 11.11

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Integration between git and Debian-style archives
 #
 # Copyright (C)2013-2018 Ian Jackson
-# Copyright (C)2019      Sean Whitton
+# Copyright (C)2019,2024 Sean Whitton
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -34,7 +34,7 @@
 txtdocdir=$(prefix)/share/doc/dgit
 absurddir=$(prefix)/share/dgit/absurd
 
-PROGRAMS=dgit git-playtree-setup
+PROGRAMS=dgit git-playtree-setup mini-git-tag-fsck
 MAN1PAGES=dgit.1
 
 MAN7PAGES=dgit.7				\

=== po4a/Makefile ===
# dgit document translation machinery
#
# Translators: there is no need to look at this file.  It contains
# complicated machinery which you do not need to understand :-).
# See po/README instead.

# Copyright (C)2018 Ian Jackson
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# ----- devel docs (translators, pleaee ignore all this) -----
#
# We use po4a for everything.
#
# po4a is nicely automatic for all the po handling, and the config
# file makes nice documentation, but it really really likes to dirty
# the tree.  And we want to automatically list the documents and the
# translation languages which it doesn't make easy.
#
# The approach I have chosen is as follows:
#
# po4a.cfg
#
#   This is autogenerated.  But also, we invite translators to add
#   their own language to it.  The resulting merge
#   conflict/discrepancy will be just an alphabetical ordering
#   discrepancy, since our generation script scans the available po
#   files.
#
#   Generation is done by a shell script, ./list-documents.
#
#   make targets:  po4a.cfg           # many others imply this
#                  po4a.cfg.check     # fails if out of date
#
# *.pot, *.po
#
#   As far as translators are concerned, generated and maintained by
#   po4a and committed to git.  As for the developers, we update this
#   occasionally just by running po4a.
#
#   make targets:  default           } mean
#                  pofiles           }  the same
#
# Translations for translators:
#
#   make targets:  preview.LANG
#                  translated
#
# Translated document source-language files (eg, translated pod):
#
#   Like with normal po things, the tools don't like to generate
#   output without updating (dirtying) the .po files.  But with po4a
#   this is really hard to avoid.  So we use a linkfarming technique.
#
#   make targets:  translated-only
#
# Translated output files (roff format, from pod2man):
#
#   We have sort of lost the usual make rule information by now
#   about targets and what to build.  Only po4a knows which
#   translated files are supposed to exist.  So we have a shell
#   script which reuses the top-level Makefile to run pod2man
#   where appropriate, and generate a further even-more-output-ish
#   tree.
#
#   make targets:  install
#
# Check:
#
#   make targets:  check
#                  pairwise-pocheck.check


default: pofiles

include ../i18n-common.make
PO4A ?= po4a

all update: translated

check: po4a.cfg.check pairwise-pocheck.check

pofiles: po4a.cfg
	$(PO4A) --no-translations $<

translated: po4a.cfg
	$(PO4A) $<

po4a.cfg: list-documents
	./$< $o

po4a.cfg.check: list-documents
	./$< >$@.tmp
	diff po4a.cfg $@.tmp

pairwise-pocheck.check:
	./pairwise-pocheck

t = ../.po4a.translated-only
p = ../po4a

translated-only: po4a.cfg pairwise-pocheck.check
	rm -rf $t && mkdir $t
	cd $t && ln -s $p/*.po $p/*.pot $p/po4a.cfg .
	cd $t && $(PO4A) po4a.cfg
	! test -d $t/translated || \
	cp -al --remove-destination $t/translated .

.po4a.%.cfg: po4a.cfg Makefile
	$S perl -p -e 's{^(\[po4a_langs\]).*}{$$1 $*};' \
		-e 's{:translated/man}{:.$*.translated/man}' \
		$< $o

.PRECIOUS: .po4a.%.cfg

pairwise-pocheck.%.check:
	@tclsh /dev/null || printf ':;:; Please run   apt-get install tcl\n'
	./pairwise-pocheck $*

preview.%: .po4a.%.cfg pairwise-pocheck.%.check
	$S $(PO4A) $<
	$S ./install-documents >/dev/null .$*.translated $@
	@ echo '# runes to preview the various final tranlated manpages:'
	$S find $@ -type f -printf 'man -l %p\n'

# We can't really use timestamps to drive po4a
.PHONY: preview.% translated

install: translated-only
	./install-documents translated $(DESTDIR)

=== debian/changelog ===
dgit (11.11) unstable; urgency=medium

  [ Ian Jackson ]
  * dgit-repos-server, tag2upload support:
    - Introduce t2uv_* prefix to distinguish trusted parts of t2u flow.
    - New parameter for mail addresses to Cc error messages to.
  * dgit-repos-server, general:
    - New always-accept AUTH-SPEC.
    - Fix & update some debug printing.
    - Some other refactorings.
  * Dgit.pm:
    - git_rev_parse: New \@prefix parameter.

  * dgit: Fix documentation of the rpush protocol.
  * TAG2UPLOAD-MANAGER-PROTOCOL.md: New protocol specification.

  * Test suite:
    - New .gitlab-ci.yml to enable salsa CI.
    - Pass --no-same-owner to tar.
      Fixes running the tests as root.
    - Move some variables out from tests/drs-git-ext to tests/lib.
    - tag2upload: Check for drs dgit success (t-tagupl-succeeded).
    - tests/enumerate-tests: New facility for printing package names.
    - Various renames to replace 'tagupl' abbreviation with 't2u'.
      Not yet complete.
  
  [ Sean Whitton ]
  * dgit:
    - Check that a source-only changes has "Architecture: source".
    - New --expect-suite, --expect-version options for rpush.
      The initiator now checks the values of these options, and that of
      -p/--package, against the parsed changelog, .changes and .dsc sent
      by the responder.  This protects against a misbehaving or
      compromised responder attempting to use the initiator to sign
      .changes and .dsc files for some other package, version or target
      suite.  This is relevant for how the security of the tag2upload
      design relies on the rpush protocol.
    - New --tag2upload-builder-mode, --tag2upload-upstream and
      --tag2upload-upstream-commit options.
      These are used to invoke mini-git-tag-fsck in the right way, and
      --tag2upload-builder-mode may enable other things in the future.
      (As of this release, they are not yet passed by dgit-repos-servers.)
  
  * git-debpush: Add source= & version= to the in-tag metadata (for real
    this time) (Closes: #1069001).
  
  * dgit-repos-server, tag2upload support:
    - Obtain the source package and version from the [dgit ...] metadata.
      (The target suite is still obtained from the first line of the tag
      message; this will change.)
    - Replace invoking 'dgit push-source' with 'dgit rpush-source'.
      This is work towards the new tag2upload three node design.
    - Pass the new --package, --expect-suite and --expect-version.
    - Some other tidying up.
  
  * TAG2UPLOAD-DESIGN.txt: Document SOURCE_VERSION.git.tar.xz.
  * mini-git-tag-fsck: New script to handle SOURCE_VERSION.git.tar.xz.
    Its functionality is only partially implemented as of this release.
  
  * Test suite:
    - Test the new rpush security by mocking up an MITM of the responder
      (tests/ssh-rpush-mitm).
    - Very basic test for --tag2upload-builder-mode.
    - t2u-gbp: Drop an unnecessary, confusing include.

  * Update copyright notices for Ian and me for core files.
  * Add .dir-locals.el.
  * Add some file mode indicators in various places.

  [ Sean Whitton & Ian Jackson ]
  * Add TAG2UPLOAD-FAQ.md.
    With thanks to Russ Allbery for review.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 03 Sep 2024 13:55:01 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
          libdigest-sha-perl, dput, curl, apt,
          libjson-perl, ca-certificates,
          libtext-iconv-perl, libtext-glob-perl, libwww-curl-perl,
-         libtext-csv-perl
+         libtext-csv-perl, python3
 Recommends: ssh-client, distro-info-data, liburi-perl
 Suggests: sbuild | pbuilder | cowbuilder
 Architecture: all
@@ -60,6 +60,7 @@
 Depends: ${misc:Depends}, perl, git-core, gpgv, chiark-utils-bin,
          libjson-perl, libdigest-sha-perl, libdbd-sqlite3-perl, sqlite3,
          libdpkg-perl,
+         liburi-perl,
          liblocale-gettext-perl
 Recommends: dgit (>= 11.7~)
 Architecture: all

## dgit 12.3

=== debian/changelog ===
dgit (12.3) unstable; urgency=medium

  tag2upload development:
  * dgit: Make --tag2upload-builder-mode imply --dep14tag-reuse=must.
  * tag2upload-oracled.user.service: Use @packages.d.o address in From.
  * Document proposed new calling convention between tag2upload-oracled
    and 'dgit-repos-server --tag2upload4' [Ian Jackson].

  Test suite fix:
  * tag2upload-oracled-systemd-unit: Restore default test dependencies.
    This was breaking this test under autopkgtest.
  
 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 15 Dec 2024 10:38:57 +0800

dgit (12.2) unstable; urgency=medium

  * git-debpush options improvements:
    - Rename patches-applicable check to patches-nonapplicable.
    - Rename suite check to changed-suite.
    - Rename existing -n/--no-push to -t/--tag-only.
    - New -n/--dry-run and --print-tag-text options.
    Closes: #935085.  [Report & suggestions from Ian Jackson]
  
  * git-debpush output improvements:
    - Use uniform line prefix "git-debpush: check failed: ".
      This should make it easier to see which checks failed.
    - Disable whitespace warnings from git-apply.
    Closes: #940590.  [Report & suggestion from Andrej Shadura]
  
  * Test suite fixes:
    - Fix overlapping use of file descriptor 5 by the tests.
      This was breaking all the tag2upload tests under autopkgtest.    
    - t2u-gbp: Replace an unwarranted change of pipefail settings.
    - t2u-gdr: Fix dependencies and environment variable issue.
  
 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 13 Dec 2024 17:06:02 +0800

dgit (12.1) unstable; urgency=high

  Critical bugfix:
  * Once again honour command line options --delayed, -c, -m.
    (-c would sometimes still work, depending on the usage).
    Regressed in 12.0.  Closes:#1089632.  [Report from Sean Whitton]

  New feature for dgit [Xiyue Deng]:
  * New passthrough option, --allow-unrelated-histories.

  Documentation:
  * dgit(1), dgit-user(7): Document dgit's backwards installability.

  tag2upload development [Sean Whitton]:
  * Complete mini-git-tag-fsck by implementing its --audit mode.
  * Complete the integration tests for mini-git-tag-fsck.
  * Make the Oracle always invoke mini-git-tag-fsck.
  * Don't call 'git deborig' if we got one from the archive.
  * Fix hardcoded debian/ tag prefix in git-debpush.
  * Test git-debpush's fishing the quilt mode out of history.
  * Some minor code style changes.

  Internal changes & test suite:
  * Tidy up some control of split brain mode.
  * Demonstrate --collab-non-dgit for a native package.
  * Strip junk from a number of tarballs used to set up tests.
  * Fix the gdr-convert-gbp canned setup to call t-select-package
    [Sean Whitton].

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 13 Dec 2024 02:16:53 +0000

dgit (12.0) unstable; urgency=medium

  Possible incompatible changes:
  * dgit push-*: Retain existing DEP-14 tag, even if unsigned, by default.
    New --dep14 options (and config settings) to control the behaviour.
    DEP-14 tag handling and docs overhauled and debugged.
    Closes: #1073787.
  * Command option option handling (--cmd:... etc.):
    Reimplement, with behavioural change bugfix: now you can
    always override configured information from the command line.
    Other misbehaviours and crashes in this area fixed.

  Documentation:
  * dgit-user(7): Use `apt-get build-dep .` in build examples.
  * dgit-sponsorship(7): Mention possible lack of origs.
  * Update Dutch (.nl) translation.  Closes:#1070141  [Frans Spiesschaert]
  * Fix minor docs typos.  [Otto Kekäläinen]

  Other improvements:
  * dgit: Include split-maint-view-tag metadata item in dgit view tag.
  * dgit rpush: Better error handling when child fails.
  * dgit rpush: debug prints: show the files-end message.

  Packaging:
  * debian/control: Bump to debhelper compat level 12.

  Testing - compatibility and bug fixes:
  * Replace use of apt-key with trusted.gpg.d.
    Closes:#1088220.  [Report from Julian Andres Klode]
  * Strip libeatmydata.so out of LD_PRELOAD when using schroot.
    (Fixes in-tree run failures on trixie.)
  * CI: Disable new changelog-empty-entry warning.

  Testing - other improvements:
  * enumerate-tests: Honour TESTSCRIPTS
  * Turn off gbp-buildpackage desktop notifications.
  * CI: Add jobs to test on old releases, back to buster.
  * CI: Better error reporting; use eatmydata; disable two empty jobs.
  * Supporting changes and refactoring.

  tag2upload development:
  * tag2upload-oracled: New program, still in development.
  * Add systemd user unit for tag2upload-oracled.
  * Relax syntax of WORKER-ID in o2m protocol.
  * Break out ProtoConn module for reuse in o2m.
  * New test: integration with tag2upload-service-manager.
  * Run existing tag2upload tests via tag2upload-oracled.
  * Further development of mini-git-tag-fsck.
  * Supporting changes to and refactoring of dgit-repos-server.

  Much of the work described above was done by, or with,
  or reviewed by, Sean Whitton.  Thanks, Sean!

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 29 Nov 2024 01:40:28 +0000

=== debian/tests/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
 Tests-Directory: tests/tests
 Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage, quilt
 
-Tests: gdr-diverge-nmu gdr-diverge-nmu-dgit gdr-edits gdr-fresh gdr-import-dgitview gdr-import-nostitch gdr-makepatches7 gdr-merge gdr-subcommands gdr-unprocessable gdr-unprocessable-hints
+Tests: cmd-override gdr-diverge-nmu gdr-diverge-nmu-dgit gdr-edits gdr-fresh gdr-import-dgitview gdr-import-nostitch gdr-makepatches7 gdr-merge gdr-subcommands gdr-unprocessable gdr-unprocessable-hints
 Tests-Directory: tests/tests
 Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, git-debrebase, git-buildpackage

## dgit 12.4

=== Makefile ===
--- 
+++ 
@@ -50,7 +50,8 @@
 PERLMODULES= \
 	Debian/Dgit.pm \
 	Debian/Dgit/ExitStatus.pm \
-	Debian/Dgit/I18n.pm
+	Debian/Dgit/I18n.pm \
+	Debian/Dgit/ProtoConn.pm
 ABSURDITIES=git
 
 GDR_PROGRAMS=git-debrebase
@@ -68,12 +69,14 @@
 
 INFRA_PROGRAMS=dgit-repos-server dgit-ssh-dispatch dgit-mirror-ssh-wrap \
 	dgit-repos-policy-debian dgit-repos-admin-debian \
-	dgit-repos-policy-trusting dgit-mirror-rsync
+	dgit-repos-policy-trusting dgit-mirror-rsync \
+	tag2upload-oracled
 INFRA_EXAMPLES=get-dm-txt ssh-wrap drs-cron-wrap get-suites
 INFRA_PERLMODULES= \
 	Debian/Dgit.pm \
 	Debian/Dgit/Infra.pm \
-	Debian/Dgit/Policy/Debian.pm
+	Debian/Dgit/Policy/Debian.pm \
+	Debian/Dgit/ProtoConn.pm
 
 MANPAGES=$(MAN1PAGES) $(MAN5PAGES) $(MAN7PAGES) \
 	$(GDR_MAN1PAGES) $(GDR_MAN5PAGES) \

=== debian/changelog ===
dgit (12.4) unstable; urgency=medium

  dgit changes:
  * New --dsc-control-add and --ch-control-add options.
  * With --dry-run, dgit now always writes an edited .changes to a
    temporary file, as it has long done for the edited .dsc.

  tag2upload development:
  * tag2upload-oracled: Speak version 2 of the simple Oracle protocol.
  * dgit-repos-server: Take JOB-ID from tag2upload-oracled.
  * dgit: In --tag2upload-builder-mode, include a _source.buildinfo.
    This is work towards #932802.

  Specifications [Ian Jackson]:
  * Define version 2 of the Manager-to-Oracle protocol.
    The protocol now additionally conveys the job ID.

  Test suite fix:
  * Set "Rules-Requires-Root: binary-targets" in example_1.0.tar.
    Closes: #1092190.

  CI job definitions [Ian Jackson]:
  * dgit-test-suite, t2u-integration: Use a Debian testing image.
    This means that the inputs to our CI are gated by our own tests.
  * t2u-integration: Explicitly install curl.

  Documentation fix [Xiyue Deng]:
  * git-debrebase(5): Fix a few typos of repeated words.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 08 Jan 2025 09:11:11 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Standards-Version: 4.4.0.0
-Build-Depends: debhelper (>= 9), gettext, po4a, tcl
+Build-Depends: debhelper-compat (= 12), gettext, po4a, tcl
 Testsuite: autopkgtest
 Vcs-Git: https://salsa.debian.org/dgit-team/dgit.git
 Vcs-Browser: https://salsa.debian.org/dgit-team/dgit
